workflows
Scout API 1.0.0 — see schemas for shared types.
POST /api/workflows/assistants/{assistant_id}/ai_code_box/build
build_ai_code_box
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: AiCodeBoxBuildRequestBody
Responses
- 202 — Accepted
application/json→ AiCodeBoxBuildResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/workflows/{assistant_id}/debug/clear
debug_clear_workflow_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ WorkflowDebugConversationResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/workflows/{assistant_id}/debug/play
debug_play_workflow_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: WorkflowDebugRunBody
Responses
- 202 — Accepted
application/json→ WorkflowRunResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/workflows/{assistant_id}/debug/restart
debug_restart_workflow_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: WorkflowDebugRunBody
Responses
- 202 — Accepted
application/json→ WorkflowRunResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/workflows/{assistant_id}/runs
start_workflow_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: WorkflowRunRequestBody
Responses
- 202 — Accepted
application/json→ WorkflowRunResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/workflows/{assistant_id}/runs/{conversation_id}/cancel
cancel_workflow_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes | |
conversation_id |
path | string (uuid) | yes |
Responses
- 200 — OK
application/json→ WorkflowRunResponse- 422 — Unprocessable Content
application/json→ ValidationError
POST /api/workflows/{assistant_id}/runs/{conversation_id}/resume
resume_workflow_run
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
assistant_id |
path | string (uuid) | yes | |
conversation_id |
path | string (uuid) | yes |
Request body
Content-Type: application/json
Schema: WorkflowRunResumeBody
Responses
- 202 — Accepted
application/json→ WorkflowRunResponse- 422 — Unprocessable Content
application/json→ ValidationError